
/* Bug: fmerge changes using data set to missing because
 		 max(id) is less than 101 in master but not in using  */
use usingdta.dta, clear
count if missing(id)

use master.dta, clear
li

fmerge m:1 id using usingdta.dta
count if missing(id)
br

* same for reverse join
use usingdta.dta, clear
li
join, into(master.dta) by(id)
count if missing(id)
br

/* Does not happen when a key>100 is present in the master data */
use master.dta, clear
insobs 1 
replace id = 101 if missing(id)
replace stringidmaster = string(id)
li

fmerge m:1 id using usingdta.dta
count if missing(id)
br